aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2018-03-03 18:32:04 +0100
committerChristian Grothoff <christian@grothoff.org>2018-03-03 18:32:30 +0100
commitc36f464031c4bebf11ce109cf6edbada584981d3 (patch)
tree8019891cdcb71eddae245c988b3de12859686253 /contrib
parent22f2a119c4add6e2421472b67b041f38ed74fdb3 (diff)
downloadgnunet-c36f464031c4bebf11ce109cf6edbada584981d3.tar.gz
gnunet-c36f464031c4bebf11ce109cf6edbada584981d3.zip
add pin zone, remove obsolete script
Diffstat (limited to 'contrib')
-rw-r--r--contrib/Makefile.am4
-rwxr-xr-xcontrib/gnunet-gns-import.sh92
2 files changed, 0 insertions, 96 deletions
diff --git a/contrib/Makefile.am b/contrib/Makefile.am
index ac8b15188..577924fab 100644
--- a/contrib/Makefile.am
+++ b/contrib/Makefile.am
@@ -22,9 +22,6 @@ noinst_SCRIPTS = \
22 gnunet_pyexpect.py \ 22 gnunet_pyexpect.py \
23 gnunet_janitor.py 23 gnunet_janitor.py
24 24
25bin_SCRIPTS = \
26 gnunet-gns-import.sh
27
28dist_pkgdata_DATA = \ 25dist_pkgdata_DATA = \
29 gns-bcd.html \ 26 gns-bcd.html \
30 gns-bcd.tex \ 27 gns-bcd.tex \
@@ -136,4 +133,3 @@ dist-hook:
136 fi \ 133 fi \
137 done \ 134 done \
138 fi 135 fi
139
diff --git a/contrib/gnunet-gns-import.sh b/contrib/gnunet-gns-import.sh
deleted file mode 100755
index 7b46379d6..000000000
--- a/contrib/gnunet-gns-import.sh
+++ /dev/null
@@ -1,92 +0,0 @@
1#!/bin/sh
2# This shell-script will import some GNS authorities into your GNS
3# namestore.
4
5LOCATION=$(which gnunet-config)
6if [ -z $LOCATION ]
7then
8 LOCATION="gnunet-config"
9fi
10$LOCATION --version 1> /dev/null
11if test $? != 0
12then
13 echo "GNUnet command line tools not found, check environmental variables PATH and GNUNET_PREFIX"
14 exit 1
15fi
16
17gnunet-arm -I 1> /dev/null 2>/dev/null
18if [ ! $? -eq 0 ]
19then
20 echo "GNUnet is not running, please start GNUnet before running import"
21 exit 1
22fi
23
24options=''
25
26while getopts "c:" opt; do
27 case $opt in
28 c)
29 options="$options -c $OPTARG"
30 ;;
31 \?)
32 echo "Invalid option: -$OPTARG" >&2
33 exit 1
34 ;;
35 :)
36 echo "Option -$OPTARG requires an argument." >&2
37 exit 1
38 ;;
39 esac
40done
41
42# By default, we create two GNS zones:
43gnunet-identity -C master-zone $options
44gnunet-identity -C private-zone $options
45
46# Additionally, we create the FS SKS zone
47gnunet-identity -C sks-zone $options
48
49#### Integrate those with the respective subsystems ####
50
51# Default zone for 'gnunet-gns' lookups
52gnunet-identity -e master-zone -s gns-master $options
53
54# Default zone for 'gnunet-namestore' operations
55gnunet-identity -e master-zone -s namestore $options
56
57# Use master-zone for GNS proxy lookups
58gnunet-identity -e master-zone -s gns-proxy $options
59
60# Use master-zone for intercepted DNS queries
61# (remove this entry to disable DNS interception by GNS service)
62gnunet-identity -e master-zone -s gns-intercept $options
63
64# Use master-zone for DNS2GNS proxy.
65gnunet-identity -e master-zone -s dns2gns $options
66
67# 'gns-private' is not yet used (!)
68gnunet-identity -e private-zone -s gns-private $options
69
70# 'fs-sks' default ego for gnunet-fs-gtk namespace operations
71gnunet-identity -e sks-zone -s fs-sks $options
72
73# Get the public keys as strings (so we can create PKEY records)
74MASTER=`gnunet-identity -d $options | grep master-zone | awk '{print $3}'`
75PRIVATE=`gnunet-identity -d $options | grep private-zone | awk '{print $3}'`
76PIN=DWJASSPE33MRN8T6Q0PENRNBTQY0E6ZYGTRCDP5DGPBF2CRJMJEG
77
78# Link private zone into master zone
79if (gnunet-namestore -z master-zone -D -n private -t PKEY | grep "PKEY: $PRIVATE" 1>/dev/null)
80then
81 echo "Private zone link exists, skipping"
82else
83 gnunet-namestore -z master-zone -a -e never -n private -p -t PKEY -V $PRIVATE $options
84fi
85
86# Link GNUnet's FCFS zone into master zone under label "pin"
87if (gnunet-namestore -z master-zone -D -n pin -t PKEY | grep "PKEY: $PIN" 1>/dev/null)
88then
89 echo "Pin zone link exists, skipping"
90else
91 gnunet-namestore -z master-zone -a -e never -n pin -p -t PKEY -V $PIN $options
92fi